wxWidgets: wxStatusBarPane Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxStatusBarPane Class Reference
Class List by Category » Data Structures

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/statusbr.h>`

## Detailed Description

A status bar pane data container used by wxStatusBar.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxStatusBar

## Public Member Functions
| wxStatusBarPane (int style=wxSB_NORMAL, int width=0)
| Constructs the pane with the given style and width. More...
int | GetWidth () const
| Returns the pane width; it maybe negative, indicating a variable-width field. More...
int | GetStyle () const
| Returns the pane style. More...
wxString | GetText () const
| Returns the text currently shown in this pane. More...
bool | IsEllipsized () const
void | SetIsEllipsized (bool isEllipsized)
void | SetWidth (int width)
void | SetStyle (int style)
bool | SetText (const wxString &text)
| Set text. More...
bool | PushText (const wxString &text)
| Save the existing text on top of a stack and make the new text current. More...
bool | PopText ()
| Restore the message saved by the last call to Push() (unless it was changed by an intervening call to SetText()) and return true if we really restored anything. More...

## Constructor & Destructor Documentation

## ◆ wxStatusBarPane()

wxStatusBarPane::wxStatusBarPane | ( | int | style = `wxSB_NORMAL`,
|  | int | width = `0`
| ) |  |

Constructs the pane with the given style and width.

## Member Function Documentation

## ◆ GetStyle()

int wxStatusBarPane::GetStyle | ( |  | ) | const

Returns the pane style.

## ◆ GetText()

wxString wxStatusBarPane::GetText | ( |  | ) | const

Returns the text currently shown in this pane.

## ◆ GetWidth()

int wxStatusBarPane::GetWidth | ( |  | ) | const

Returns the pane width; it maybe negative, indicating a variable-width field.

## ◆ IsEllipsized()

bool wxStatusBarPane::IsEllipsized | ( |  | ) | const

## ◆ PopText()

bool wxStatusBarPane::PopText | ( |  | ) |

Restore the message saved by the last call to Push() (unless it was changed by an intervening call to SetText()) and return true if we really restored anything.

## ◆ PushText()

bool wxStatusBarPane::PushText | ( | const wxString & | text | ) |

Save the existing text on top of a stack and make the new text current.

Returns true if the text really changed.

## ◆ SetIsEllipsized()

void wxStatusBarPane::SetIsEllipsized | ( | bool | isEllipsized | ) |

## ◆ SetStyle()

void wxStatusBarPane::SetStyle | ( | int | style | ) |

## ◆ SetText()

bool wxStatusBarPane::SetText | ( | const wxString & | text | ) |

Set text.

Returns true if it changed or false if it was already set to this value.

## ◆ SetWidth()

void wxStatusBarPane::SetWidth | ( | int | width | ) |